package domain


type AlibabaWdkSkuAddChannelProp struct {
    /*
        渠道类型：txd淘鲜达，elm饿了么，shareStore共享库存     */
    ChannelType  *string `json:"channel_type,omitempty" `

    /*
        渠道属性，取值为key-value键值对形式     */
    Props  *[]AlibabaWdkSkuAddPropField `json:"props,omitempty" `

}

func (s *AlibabaWdkSkuAddChannelProp) SetChannelType(v string) *AlibabaWdkSkuAddChannelProp {
    s.ChannelType = &v
    return s
}
func (s *AlibabaWdkSkuAddChannelProp) SetProps(v []AlibabaWdkSkuAddPropField) *AlibabaWdkSkuAddChannelProp {
    s.Props = &v
    return s
}
